Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.eis.mappings
Class EISOneToOneMapping

`java.lang.Object
oracle.toplink.mappings.DatabaseMapping
oracle.toplink.mappings.ForeignReferenceMapping
oracle.toplink.mappings.ObjectReferenceMapping
oracle.toplink.eis.mappings.EISOneToOneMapping`

All Implemented Interfaces:
  java.lang.Cloneable, oracle.toplink.eis.mappings.EISMapping, java.io.Serializable

public class EISOneToOneMapping
extends ObjectReferenceMapping
implements oracle.toplink.eis.mappings.EISMapping

An EIS one-to-one mapping is a reference mapping that represents the relationship between a single source object and a single mapped persistent Java object. The source object usually contains a foreign key (pointer) to the target object (key on source); alternatively, the target object may contiain a foreign key to the source object (key on target). Because both the source and target objects use interactions, they must both be configured as root object types.

Record Type | Description
--- | ---
Indexed | Ordered collection of record elements. The indexed record EIS format enables Java class attribute values to be retreived by position or index.
Mapped | Key-value map based representation of record elements. The mapped record EIS format enables Java class attribute values to be retreived by an object key.
XML | DatabaseRow/Map representation of an XML DOM element.

Since:
  Oracle TopLink 10g Release 2 (10.1.3)
See Also:
  `EISDescriptor.useIndexedRecordFormat()`, `EISDescriptor.useMappedRecordFormat()`, `EISDescriptor.useXMLRecordFormat()`, Serialized Form

Constructor Summary
`EISOneToOneMapping()`

Method Summary
`void` | `addForeignKeyField(DatabaseField sourceForeignKeyField, DatabaseField targetKeyField)` PUBLIC: Define the source foreign key relationship in the one-to-one mapping.
`void` | `addForeignKeyFieldName(java.lang.String sourceForeignKeyFieldName, java.lang.String targetKeyFieldName)` PUBLIC: Define the source foreign key relationship in the one-to-one mapping.
`void` | `setShouldVerifyDelete(boolean shouldVerifyDelete)` PUBLIC: Verify delete is used during delete and update on private 1:1's outside of a unit of work only.
`boolean` | `shouldVerifyDelete()` PUBLIC: Verify delete is used during delete and update outside of a unit of work only.

Methods inherited from class oracle.toplink.mappings.ObjectReferenceMapping
`useProxyIndirection, useProxyIndirection, useProxyIndirection`

Methods inherited from class oracle.toplink.mappings.ForeignReferenceMapping
`dontUseIndirection, getReferenceClass, getRelationshipPartnerAttributeName, isCascadeMerge, isCascadePersist, isCascadeRefresh, isCascadeRemove, privateOwnedRelationship, setCascadeAll, setCascadeMerge, setCascadePersist, setCascadeRefresh, setCascadeRemove, setCustomSelectionQuery, setIndirectionPolicy, setReferenceClass, setRelationshipPartnerAttributeName, setSelectionCall, setSelectionCriteria, setUsesIndirection, useBasicIndirection, useContainerIndirection, usesIndirection`

Methods inherited from class oracle.toplink.mappings.DatabaseMapping
`getAttributeAccessor, getAttributeClassification, getAttributeName, getGetMethodName, getReferenceClassDescriptor, getSetMethodName, isUsingMethodAccess, readOnly, readWrite, setAttributeAccessor, setAttributeName, setGetMethodName, setIsReadOnly, setSetMethodName, setWeight, simpleAddToCollectionChangeRecord, simpleRemoveFromCollectionChangeRecord`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EISOneToOneMapping

    public EISOneToOneMapping()

Method Detail

### addForeignKeyField

    public void addForeignKeyField(DatabaseField sourceForeignKeyField,
                                   DatabaseField targetKeyField)

  PUBLIC: Define the source foreign key relationship in the one-to-one mapping. This method is used to add foreign key relationships to the mapping. Both the source foreign key field name and the corresponding target primary key field name must be specified.

### addForeignKeyFieldName

    public void addForeignKeyFieldName(java.lang.String sourceForeignKeyFieldName,
                                       java.lang.String targetKeyFieldName)

  PUBLIC: Define the source foreign key relationship in the one-to-one mapping. This method is used to add foreign key relationships to the mapping. Both the source foreign key field name and the corresponding target primary key field name must be specified.

### setShouldVerifyDelete

    public void setShouldVerifyDelete(boolean shouldVerifyDelete)

  PUBLIC: Verify delete is used during delete and update on private 1:1's outside of a unit of work only. It checks for the previous value of the target object through joining the source and target tables. By default it is always done, but may be disabled for performance on distributed database reasons. In the unit of work the previous value is obtained from the backup-clone so it is never used.

### shouldVerifyDelete

    public boolean shouldVerifyDelete()

  PUBLIC: Verify delete is used during delete and update outside of a unit of work only. It checks for the previous value of the target object through joining the source and target tables.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD